### Method

# Gtk Dialogget_response_for_widget

deprecated: 4.10

#### Declaration [src]

    int
    gtk_dialog_get_response_for_widget (
      GtkDialog* dialog,
      GtkWidget* widget
    )

#### Description [src]

Gets the response id of a widget in the action area of a dialog.

Deprecated since: 4.10

Use `GtkWindow` instead.

#### Parameters

`widget`

  Type: `GtkWidget`

  A widget in the action area of `dialog`.

  The data is owned by the caller of the method.

#### Return value

Type: `int`

The response id of `widget`, or `GTK_RESPONSE_NONE` if `widget` doesn’t have a response id set.